View Issue Details

IDProjectCategoryView StatusLast Update
0000191SOGoBackend Calendarpublic2010-08-11 11:37
Reporterludovic Assigned Toludovic  
PrioritynormalSeverityminorReproducibilityhave not tried
Status resolvedResolutionfixed 
Product Versionnightly v2 
Target Version1.3.1Fixed in Version1.3.1 
Summary0000191: Update the CalDAV scheduling code
Description

We should do auto-scheduling after 1.1.0 is released.

We will need to update Lightning and perhaps SOGo Connector, update the test scripts and more.

TagsNo tags attached.

Relationships

related to 0000204 resolvedludovic Moving an event to a different calendar should not reset the participants state 

Activities

ludovic

ludovic

2009-10-23 14:07

administrator   ~0000252

We should still support 'caldav-schedule' and simply return "200 - Ok fool" for requests coming from old clients (like iCal 3).

Both caldav-schedule and caldav-auto-schedule should be returned but caldav-auto-schedule should always be used.

ludovic

ludovic

2009-12-28 16:45

administrator   ~0000392

Last edited: 2010-01-15 13:20

See http://tools.ietf.org/html/draft-desruisseaux-caldav-sched for the full, latest draft.

ludovic

ludovic

2010-01-04 15:55

administrator   ~0000397

Last edited: 2010-01-04 15:57

Also, Lightning will have to be modified so it issues a MOVE instead of a DELETE / PUT when an event is moved to a different calendar. (the DAV MOVE method also needs to be checked/completed in the SOGo code).

ludovic

ludovic

2010-08-11 11:37

administrator   ~0001289

Fixed in the ca.inverse.sogo.1_3_1 branch.

Issue History

Date Modified Username Field Change
2009-10-23 09:51 ludovic New Issue
2009-10-23 09:51 ludovic Target Version => 1.1.1
2009-10-23 14:07 ludovic Note Added: 0000252
2009-12-28 16:16 ludovic Relationship added related to 0000204
2009-12-28 16:45 ludovic Note Added: 0000392
2010-01-04 15:55 ludovic Note Added: 0000397
2010-01-04 15:57 wsourdeau Note Edited: 0000397
2010-01-06 16:34 ludovic Target Version 1.2.0 =>
2010-01-15 13:20 wsourdeau Note Edited: 0000392
2010-07-27 13:36 ludovic Target Version => 1.3.1
2010-08-11 11:37 ludovic Note Added: 0001289
2010-08-11 11:37 ludovic Status new => resolved
2010-08-11 11:37 ludovic Fixed in Version => 1.3.1
2010-08-11 11:37 ludovic Resolution open => fixed
2010-08-11 11:37 ludovic Assigned To => ludovic